#!/usr/bin/env bash

# Compile
lein uberjar

# Clean
rm -rf dist

# Package
mkdir dist
cp target/uberjar/yenu.jar dist/
cp yenu.properties dist/
cp Dockerfile dist/
cp docker-compose.yml dist/
cp README.md dist/

tar czf yenu-release.tar.gz dist/*
sha256sum yenu-release.tar.gz
